@Path(value="/")
public class CDRRestBrokerServiceImpl
extends net.di2e.ecdr.commons.endpoint.rest.AbstractRestSearchEndpoint
| Constructor and Description |
|---|
CDRRestBrokerServiceImpl(ddf.catalog.CatalogFramework framework,
org.codice.ddf.configuration.impl.ConfigurationWatcherImpl config,
ddf.catalog.filter.FilterBuilder builder,
net.di2e.ecdr.commons.query.rest.parsers.QueryParser parser,
net.di2e.ecdr.search.transform.mapper.TransformIdMapper mapper,
net.di2e.ecdr.federation.api.NormalizingFederationStrategy sortedFedStrategy,
ddf.catalog.federation.FederationStrategy defaultFedStrategy,
List<net.di2e.ecdr.api.auditor.SearchAuditor> auditors)
Constructor for JAX RS CDR Search Service.
|
| Modifier and Type | Method and Description |
|---|---|
ddf.catalog.operation.QueryResponse |
executeQuery(String localSourceId,
javax.ws.rs.core.MultivaluedMap<String,String> queryParameters,
net.di2e.ecdr.commons.query.rest.CDRQueryImpl query) |
String |
getParameterTemplate() |
String |
getServiceDescription() |
String |
getServiceRelativeUrl() |
String |
getServiceType() |
javax.ws.rs.core.Response |
ping(javax.ws.rs.core.UriInfo uriInfo,
String encoding,
String auth) |
javax.ws.rs.core.Response |
search(org.apache.cxf.jaxrs.ext.MessageContext context,
String encoding,
String auth)
Search method that gets called when issuing an HTTP GET to the
corresponding URL.
|
boolean |
useDefaultSortIfNotSpecified() |
public CDRRestBrokerServiceImpl(ddf.catalog.CatalogFramework framework,
org.codice.ddf.configuration.impl.ConfigurationWatcherImpl config,
ddf.catalog.filter.FilterBuilder builder,
net.di2e.ecdr.commons.query.rest.parsers.QueryParser parser,
net.di2e.ecdr.search.transform.mapper.TransformIdMapper mapper,
net.di2e.ecdr.federation.api.NormalizingFederationStrategy sortedFedStrategy,
ddf.catalog.federation.FederationStrategy defaultFedStrategy,
List<net.di2e.ecdr.api.auditor.SearchAuditor> auditors)
framework - Catalog Framework which will be used for searchconfig - ConfigurationWatcherImpl used to get the platform
configuration valuesbuilder - FilterBuilder implementationparser - The instance of the QueryParser to use which will determine
how to parse the parameters from the queyr String. Query
parsers are tied to different versions of a query profilepublic javax.ws.rs.core.Response ping(@Context
javax.ws.rs.core.UriInfo uriInfo,
@HeaderParam(value="Accept-Encoding")
String encoding,
@HeaderParam(value="Authorization")
String auth)
public javax.ws.rs.core.Response search(@Context
org.apache.cxf.jaxrs.ext.MessageContext context,
@HeaderParam(value="Accept-Encoding")
String encoding,
@HeaderParam(value="Authorization")
String auth)
uriInfo - Query parameters obtained by eencoding - auth - public String getServiceType()
public String getServiceRelativeUrl()
public String getServiceDescription()
public String getParameterTemplate()
getParameterTemplate in class net.di2e.ecdr.commons.endpoint.rest.AbstractRestSearchEndpointpublic boolean useDefaultSortIfNotSpecified()
useDefaultSortIfNotSpecified in class net.di2e.ecdr.commons.endpoint.rest.AbstractRestSearchEndpointpublic ddf.catalog.operation.QueryResponse executeQuery(String localSourceId, javax.ws.rs.core.MultivaluedMap<String,String> queryParameters, net.di2e.ecdr.commons.query.rest.CDRQueryImpl query) throws ddf.catalog.source.SourceUnavailableException, ddf.catalog.source.UnsupportedQueryException, ddf.catalog.federation.FederationException
executeQuery in class net.di2e.ecdr.commons.endpoint.rest.AbstractRestSearchEndpointddf.catalog.source.SourceUnavailableExceptionddf.catalog.source.UnsupportedQueryExceptionddf.catalog.federation.FederationExceptionCopyright © 2014–2015 Cohesive Integrations, LLC. All rights reserved.